Bug 1980191

Summary: Review Request: golang-github-tscholl2-siec - Super-Isolated Elliptic Curve Implementation in Go
Product: [Fedora] Fedora Reporter: Davide Cavalca <dcavalca>
Component: Package ReviewAssignee: Hirotaka Wakabayashi <hiwkby>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: hiwkby, package-review
Target Milestone: ---Flags: hiwkby: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-28 16:30:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1980193    

Description Davide Cavalca 2021-07-08 04:10:50 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/golang-github-tscholl2-siec/golang-github-tscholl2-siec.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/golang-github-tscholl2-siec/golang-github-tscholl2-siec-0-0.1.20210708git9bdfc48.fc35.src.rpm

Description:

Super-Isolated Elliptic Curve Implementation in Go.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2021-07-08 04:10:52 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=71501489

Comment 2 Hirotaka Wakabayashi 2021-11-24 11:47:16 UTC
Hello Davide, package approved!

Regards,
Hirotaka

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
rpmlint golang-github-tscholl2-siec-0-0.1.20210708git9bdfc48.fc36.src.rpm                                               
================================================ rpmlint session starts ================================================
rpmlint: 2.1.0                                                                                                          
configuration:                                                                                                          
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml                                                       
    /etc/xdg/rpmlint/fedora.toml                                                                                        
    /etc/xdg/rpmlint/licenses.toml                                                                                      
    /etc/xdg/rpmlint/scoring.toml                                                                                       
    /etc/xdg/rpmlint/users-groups.toml                                                                                  
    /etc/xdg/rpmlint/warn-on-functions.toml                                                                             
checks: 31, packages: 1                                                                                                 
                                                                                                                        
================= 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.2 s =================


rpmlint golang-github-tscholl2-siec-0-0.1.20210708git9bdfc48.fc36.x86_64.rpm                                            
================================================ rpmlint session starts ================================================
rpmlint: 2.1.0                                                                                                          
configuration:                                                                                                          
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml                                                       
    /etc/xdg/rpmlint/fedora.toml                                                                                        
    /etc/xdg/rpmlint/licenses.toml                                                                                      
    /etc/xdg/rpmlint/scoring.toml                                                                                       
    /etc/xdg/rpmlint/users-groups.toml                                                                                  
    /etc/xdg/rpmlint/warn-on-functions.toml                                                                             
checks: 31, packages: 1

golang-github-tscholl2-siec.x86_64: E: statically-linked-binary /usr/bin/search
golang-github-tscholl2-siec.x86_64: W: no-manual-page-for-binary search
golang-github-tscholl2-siec.x86_64: W: incoherent-version-in-changelog 0-0.1.20210707git9bdfc48 ['0-0.1.20210708git9bdfc
48.fc36', '0-0.1.20210708git9bdfc48']
================= 1 packages and 0 specfiles checked; 1 errors, 2 warnings, 1 badness; has taken 0.1 s =================


rpmlint golang-github-tscholl2-siec-debuginfo-0-0.1.20210708git9bdfc48.fc36.x86_64.rpm                                  
================================================ rpmlint session starts ================================================
rpmlint: 2.1.0                                                                                                          
configuration:                                                                                                          
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml                                                       
    /etc/xdg/rpmlint/fedora.toml                                                                                        
    /etc/xdg/rpmlint/licenses.toml                                                                                      
    /etc/xdg/rpmlint/scoring.toml                                                                                       
    /etc/xdg/rpmlint/users-groups.toml                                                                                  
    /etc/xdg/rpmlint/warn-on-functions.toml                                                                             
checks: 31, packages: 1                                                                                                 
                                                                                                                        
golang-github-tscholl2-siec-debuginfo.x86_64: W: unstripped-binary-or-object /usr/lib/debug/usr/bin/search-0-0.1.2021070
8git9bdfc48.fc36.x86_64.debug                                                                                           
golang-github-tscholl2-siec-debuginfo.x86_64: E: shared-library-without-dependency-information /usr/lib/debug/usr/bin/se
arch-0-0.1.20210708git9bdfc48.fc36.x86_64.debug                                                                         ]]]]]]]]]]]]]]]]]
golang-github-tscholl2-siec-debuginfo.x86_64: W: no-documentation                                                         
golang-github-tscholl2-siec-debuginfo.x86_64: W: dangling-relative-symlink /usr/lib/debug/.build-id/7e/3c2640d13bb4bd1330dcd4f2cd5a87ff2a
0dcd4f2cd5a87ff2a1462 ../../../.build-id/7e/3c2640d13bb4bd1330dcd4f2cd5a87ff2a1462                                                   
================= 1 packages and 0 specfiles checked; 1 errors, 3 warnings, 1 badness; has taken 0.1 s =================  


rpmlint golang-github-tscholl2-siec-debugsource-0-0.1.20210708git9bdfc48.fc36.x86_64.rpm
================================================ rpmlint session starts ================================================
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

golang-github-tscholl2-siec-debugsource.x86_64: W: no-documentation
================= 1 packages and 0 specfiles checked; 0 errors, 1 warnings, 0 badness; has taken 0.1 s =================


rpmlint golang-github-tscholl2-siec-devel-0-0.1.20210708git9bdfc48.fc36.noarch.rpm
================================================ rpmlint session starts ================================================
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

golang-github-tscholl2-siec-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/tscholl2/siec/.goipath
golang-github-tscholl2-siec-devel.noarch: W: files-duplicate /usr/share/gocode/src/github.com/tscholl2/siec/README.md /usr/share/sr/share/doc/golang-github-tscholl2-siec-devel/README.md
================= 1 packages and 0 specfiles checked; 0 errors, 2 warnings, 0 badness; has taken 0.1 s =================


Source checksums
----------------
https://github.com/tscholl2/siec/archive/9bdfc483d4990dd77892b0e8206906b8c7c0f0ad/siec-9bdfc483d4990dd77892b0e8206906b8c7c0f0ad.tar.gz :
  CHECKSUM(SHA256) this package     : aa7a13505b7669c30d64149803295f206bdf0d2fb028a4200c9f5f5541ee607d
  CHECKSUM(SHA256) upstream package : aa7a13505b7669c30d64149803295f206bdf0d2fb028a4200c9f5f5541ee607d


Requires
--------
golang-github-tscholl2-siec (rpmlib, GLIBC filtered):

golang-github-tscholl2-siec-devel (rpmlib, GLIBC filtered):
    go-filesystem



Provides
--------
golang-github-tscholl2-siec:
    golang-github-tscholl2-siec
    golang-github-tscholl2-siec(x86-64)

golang-github-tscholl2-siec-devel:
    golang(github.com/tscholl2/siec)
    golang(github.com/tscholl2/siec)(commit=9bdfc483d4990dd77892b0e8206906b8c7c0f0ad)
    golang(github.com/tscholl2/siec/edwards25519)
    golang(github.com/tscholl2/siec/edwards25519)(commit=9bdfc483d4990dd77892b0e8206906b8c7c0f0ad)
    golang(github.com/tscholl2/siec/ff)
    golang(github.com/tscholl2/siec/ff)(commit=9bdfc483d4990dd77892b0e8206906b8c7c0f0ad)
    golang-github-tscholl2-siec-devel
    golang-ipath(github.com/tscholl2/siec)
    golang-ipath(github.com/tscholl2/siec)(commit=9bdfc483d4990dd77892b0e8206906b8c7c0f0ad)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1980191
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: Java, Ocaml, SugarActivity, Haskell, Python, PHP, Perl, R, fonts, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Davide Cavalca 2021-11-24 16:27:30 UTC
Thanks!

$ fedpkg request-repo golang-github-tscholl2-siec 1980191
https://pagure.io/releng/fedora-scm-requests/issue/38126

Comment 4 Igor Raits 2021-11-27 15:56:12 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-tscholl2-siec

Comment 5 Fedora Update System 2021-11-28 16:27:26 UTC
FEDORA-2021-276a36c5d6 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2021-276a36c5d6

Comment 6 Fedora Update System 2021-11-28 16:30:01 UTC
FEDORA-2021-276a36c5d6 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.